|  | Dual Active Bridge Development Board (Part-No. ) |
Content |  |  |  |  |  |

Loading...
Searching...
No Matches
Data Fields
POWER_CONTROL_s Struct Reference
Power Control » Power Control Data Types

Power control API structure. More...

`#include <C:/MCU16Projects/bitbucket/dspic33ck-power-dcdc-dual-active-bridge-development-platform/dspic33ck-dab.X/sources/pwrctrl/pwrctrl_typedef.h>`

Collaboration diagram for POWER_CONTROL_s:

## Data Fields
STATUS_FLAGS_t | Status
| Power Supply status flags.
PWR_CTRL_STATE_t | State
| Power Control State ID.
PWR_CTRL_PROPERTIES_t | Properties
| Power Control properties
SWITCH_NODE_t | Pwm
| Switch node settings.
FEEDBACK_SETTINGS_t | Data
| Feedback channel settings.
FAULT_SETTINGS_t | Fault
| Fault flags and settings.
START_UP_RAMP_t | VRamp
| Voltage ramp-up settings.
START_UP_RAMP_t | IRamp
| Current ramp-up settings.
START_UP_RAMP_t | PRamp
| Power ramp-up settings.
CONTROLLER_t | ILoop
| structure for current controller data
CONTROLLER_t | VLoop
| structure for voltage controller data
CONTROLLER_t | PLoop
| structure for power controller data
PWR_CTRL_CHARGE_STATE_t | PowerDirection
| defines if the power converter is in charging or discharging mode

## Detailed Description

This data structure contains all the properties of the power control.

Definition at line 166 of file pwrctrl_typedef.h.

## Field Documentation

## ◆ Data

FEEDBACK_SETTINGS_t Data

Definition at line 172 of file pwrctrl_typedef.h.

## ◆ Fault

FAULT_SETTINGS_t Fault

Definition at line 173 of file pwrctrl_typedef.h.

## ◆ ILoop

CONTROLLER_t ILoop

Definition at line 177 of file pwrctrl_typedef.h.

## ◆ IRamp

START_UP_RAMP_t IRamp

Definition at line 175 of file pwrctrl_typedef.h.

## ◆ PLoop

CONTROLLER_t PLoop

Definition at line 179 of file pwrctrl_typedef.h.

## ◆ PowerDirection

PWR_CTRL_CHARGE_STATE_t PowerDirection

Definition at line 180 of file pwrctrl_typedef.h.

## ◆ PRamp

START_UP_RAMP_t PRamp

Definition at line 176 of file pwrctrl_typedef.h.

## ◆ Properties

PWR_CTRL_PROPERTIES_t Properties

Definition at line 170 of file pwrctrl_typedef.h.

## ◆ Pwm

SWITCH_NODE_t Pwm

Definition at line 171 of file pwrctrl_typedef.h.

## ◆ State

PWR_CTRL_STATE_t State

Definition at line 169 of file pwrctrl_typedef.h.

## ◆ Status

STATUS_FLAGS_t Status

Definition at line 168 of file pwrctrl_typedef.h.

## ◆ VLoop

CONTROLLER_t VLoop

Definition at line 178 of file pwrctrl_typedef.h.

## ◆ VRamp

START_UP_RAMP_t VRamp

Definition at line 174 of file pwrctrl_typedef.h.

The documentation for this struct was generated from the following file:

- dspic33ck-dab.X/sources/pwrctrl/pwrctrl_typedef.h